PathFinder (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class PathFinder

    java.lang.Object
      org.apache.hadoop.streaming.PathFinder

    public class PathFinder

extends Object

Maps a relative pathname to an absolute pathname using the PATH enviroment.

Constructor Summary
`PathFinder()` Construct a PathFinder object using the path from java.class.path
`PathFinder(String envpath)` Construct a PathFinder object using the path from the specified system environment variable.

Method Summary
`File` | `getAbsolutePath(String filename)` Returns the full path name of this file if it is listed in the path
`static void` | `main(String[] args)`
`void` | `prependPathComponent(String str)` Appends the specified component to the path list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathFinder

    public PathFinder()

  Construct a PathFinder object using the path from java.class.path

### PathFinder

    public PathFinder(String envpath)

  Construct a PathFinder object using the path from the specified system environment variable.

Method Detail

### prependPathComponent

    public void prependPathComponent(String str)

  Appends the specified component to the path list

### getAbsolutePath

    public File getAbsolutePath(String filename)

  Returns the full path name of this file if it is listed in the path

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation